Subject: bug#10592: closed (Re: bug#10592: Bug#655118: Please enabled hardened build flags)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 31 Jan 2012 04:23:02 +0000

Your bug report

#10592: movemail.c's error function and certain compiler flags

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10592: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10592
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10592: Bug#655118: Please enabled hardened build flags
From: Paul Eggert <[email-masked]>
To: [email-masked]
Cc: [email-masked], Rob Browning <[email-masked]>
Date: Mon, 30 Jan 2012 20:22:03 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I am not observing this problem in the Emacs trunk, with either
GCC 4.6.2 or GCC 4.7.0 20120127 (experimental), when I compile
with -Wformat -Wformat-security.  I suspect the problem has
already been fixed in the trunk in a different way, by
rewriting movemail to use prototypes.  I'm therefore taking
the liberty of marking this bug as fixed in the Emacs bug
database; please feel free to reopen it if I've misunderstood
the situation.

Subject: Re: Bug#655118: Please enabled hardened build flags
From: Rob Browning <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], Moritz Mühlenhoff <[email-masked]>
Date: Mon, 23 Jan 2012 23:05:26 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

(Sorry, accidentally hit send too early.)

Mortiz updated Emacs to support -Wformat -Wformat-security
-Werror=format-security.

Here are the relevant changes (further details are available at
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=655118):

diff -aur emacs23-23.3+1.orig/lib-src/movemail.c emacs23-23.3+1/lib-src/movemail.c
--- emacs23-23.3+1.orig/lib-src/movemail.c	2011-12-29 05:07:27.000000000 +0100
+++ emacs23-23.3+1/lib-src/movemail.c	2012-01-08 17:31:22.000000000 +0100
@@ -615,11 +615,11 @@
 {
   fprintf (stderr, "movemail: ");
   if (s3)
-    fprintf (stderr, s1, s2, s3);
+    fprintf (stderr, "%s%s%s", s1, s2, s3);
   else if (s2)
-    fprintf (stderr, s1, s2);
+    fprintf (stderr, "%s%s", s1, s2);
   else
-    fprintf (stderr, s1);
+    fprintf (stderr, "%s", s1);
   fprintf (stderr, "\n");
 }
 
Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4